/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';

.gesamtsummen-normadressaten-table-holder {
  padding: 0 16px;
  margin-bottom: 60px;
  background: #fff;
  &.expert-mode {
    padding-bottom: 32px;
  }
  .gesamtsummen-normadressaten-table {
    .ant-table-expanded-row {
      display: contents;
    }
    .summe-row {
      td {
        border-bottom: 2px solid black;
      }
      font-weight: 500;
      font-size: 1.6rem;
    }
    .details-row {
      font-weight: bolder;
    }

    .bezeichnung-column {
      min-width: 300px;
    }
    .ant-table-content {
      overflow: auto;
      .ant-table-thead {
        th,
        td {
          background-color: @platform-blue4;
          border-bottom: 1px solid @platform-blue3;
          vertical-align: top;
        }
      }
      .ant-table-tbody > tr.ant-table-row:hover > td {
        background-color: @platform-blue4;
      }
      .no-data-placeholder {
        max-width: 630px;
        border: 1px solid @links-grey-color;
        color: @platform-text-color;
        margin: 32px auto;
        padding: 16px 32px;
        text-align: left;
      }
    }
  }
  .buttons-holder {
    padding: 16px 0;
    text-align: right;
    button:nth-child(1) {
      margin-right: 20px;
    }
  }
}
.gesamtsummenNormadressaten-modal {
  .ant-modal-footer {
    justify-content: start;
    display: flex;

    .plateg-modal-footer-left {
      margin-right: 10px !important;
    }
  }
}
.gesamtsummenNormadressaten-title-holder {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: space-between;
  align-content: center;
  align-items: flex-start;
  @media screen and (max-width: 783px) {
    display: block;
  }
  .expert-mode-switch-holder {
    margin: 30px 0;
    order: 0;
    flex: 0 1 auto;
    align-self: auto;
    white-space: nowrap;
    .expert-mode-switch-label {
      margin-left: 15px;
    }
  }
}
.normadressaten-export-csv-btn {
  margin-bottom: 20px;
}
.ant-table-cell {
  font-size: 1.6rem;
}
